Index: t3lib/class.t3lib_stdgraphic.php
===================================================================
--- t3lib/class.t3lib_stdgraphic.php	(revision 9431)
+++ t3lib/class.t3lib_stdgraphic.php	(revision )
@@ -459,48 +432,48 @@
 	 * @return	void		Works on the $im image pointer
 	 * @access private
 	 */
-	function copyGifOntoGif(&$im,$cpImg,$conf,$workArea)	{
+	function copyGifOntoGif(&$im, $cpImg, $conf, $workArea) {
 		$cpW = imagesx($cpImg);
 		$cpH = imagesy($cpImg);
-		$tile = t3lib_div::intExplode(',',$conf['tile']);
+		$tile = t3lib_div::intExplode(',', $conf['tile']);
-		$tile[0] = t3lib_div::intInRange($tile[0],1,20);
+		$tile[0] = t3lib_div::intInRange($tile[0], 1, 20);
-		$tile[1] = t3lib_div::intInRange($tile[1],1,20);
+		$tile[1] = t3lib_div::intInRange($tile[1], 1, 20);
-		$cpOff = $this->objPosition($conf,$workArea,Array($cpW*$tile[0],$cpH*$tile[1]));
+		$cpOff = $this->objPosition($conf, $workArea, array($cpW * $tile[0], $cpH * $tile[1]));
 
-		for ($xt=0;$xt<$tile[0];$xt++)	{
+		for ($xt = 0; $xt < $tile[0]; $xt++) {
-			$Xstart=$cpOff[0]+$cpW*$xt;
+			$Xstart = $cpOff[0] + $cpW * $xt;
-			if ($Xstart+$cpW > $workArea[0])	{	// if this image is inside of the workArea, then go on
+			if ($Xstart + $cpW > $workArea[0]) { // if this image is inside of the workArea, then go on
 					// X:
-				if ($Xstart < $workArea[0])	{
+				if ($Xstart < $workArea[0]) {
-					$cpImgCutX = $workArea[0]-$Xstart;
+					$cpImgCutX = $workArea[0] - $Xstart;
 					$Xstart = $workArea[0];
 				} else {
 					$cpImgCutX = 0;
 				}
-				$w = $cpW-$cpImgCutX;
+				$w = $cpW - $cpImgCutX;
-				if ($Xstart > $workArea[0]+$workArea[2]-$w)	{
+				if ($Xstart > $workArea[0] + $workArea[2] - $w) {
-					$w = $workArea[0]+$workArea[2]-$Xstart;
+					$w = $workArea[0] + $workArea[2] - $Xstart;
 				}
-				if ($Xstart < $workArea[0]+$workArea[2])	{	// if this image is inside of the workArea, then go on
+				if ($Xstart < $workArea[0] + $workArea[2]) { // if this image is inside of the workArea, then go on
 						// Y:
-					for ($yt=0;$yt<$tile[1];$yt++)	{
+					for ($yt = 0; $yt < $tile[1]; $yt++) {
-						$Ystart=$cpOff[1]+$cpH*$yt;
+						$Ystart = $cpOff[1] + $cpH * $yt;
-						if ($Ystart+$cpH > $workArea[1])	{	// if this image is inside of the workArea, then go on
+						if ($Ystart + $cpH > $workArea[1]) { // if this image is inside of the workArea, then go on
-							if ($Ystart < $workArea[1])	{
+							if ($Ystart < $workArea[1]) {
-								$cpImgCutY = $workArea[1]-$Ystart;
+								$cpImgCutY = $workArea[1] - $Ystart;
 								$Ystart = $workArea[1];
 							} else {
 								$cpImgCutY = 0;
 							}
-							$h = $cpH-$cpImgCutY;
+							$h = $cpH - $cpImgCutY;
-							if ($Ystart > $workArea[1]+$workArea[3]-$h)	{
+							if ($Ystart > $workArea[1] + $workArea[3] - $h) {
-								$h = $workArea[1]+$workArea[3]-$Ystart;
+								$h = $workArea[1] + $workArea[3] - $Ystart;
 							}
-							if ($Ystart < $workArea[1]+$workArea[3])	{	// if this image is inside of the workArea, then go on
+							if ($Ystart < $workArea[1] + $workArea[3]) { // if this image is inside of the workArea, then go on
 								$this->imagecopyresized($im, $cpImg, $Xstart, $Ystart, $cpImgCutX, $cpImgCutY, $w, $h, $w, $h);
 							}
 						}
-					}  // Y:
+					} // Y:
 				}
 			}
 		}
@@ -514,11 +487,11 @@
 	 * With GD2 only the palette of the dest-image is used which mostly results in totally black images when trying to
 	 * copy a color-ful image onto the destination.
 	 * The GD2-fix is to
-	 * 		1) Create a blank TRUE-COLOR image
+	 *		 1) Create a blank TRUE-COLOR image
-	 * 		2) Copy the destination image onto that one
+	 *		 2) Copy the destination image onto that one
-	 * 		3) Then do the actual operation; Copying the source (top image) onto that
+	 *		 3) Then do the actual operation; Copying the source (top image) onto that
-	 * 		4) ... and return the result pointer.
+	 *		 4) ... and return the result pointer.
-	 * 		5) Reduce colors (if we do not, the result may become strange!)
+	 *		 5) Reduce colors (if we do not, the result may become strange!)
 	 * It works, but the resulting images is now a true-color PNG which may be very large.
 	 * So, why not use 'imagetruecolortopalette ($im, TRUE, 256)' - well because it does NOT WORK! So simple is that.
 	 *
@@ -538,14 +511,14 @@
 	 * @access private
 	 * @see t3lib_iconWorks::imagecopyresized()
 	 */
-	function imagecopyresized(&$im, $cpImg, $Xstart, $Ystart, $cpImgCutX, $cpImgCutY, $w, $h, $w, $h)	{
+	function imagecopyresized(&$im, $cpImg, $Xstart, $Ystart, $cpImgCutX, $cpImgCutY, $w, $h, $w, $h) {
-		if ($this->imagecopyresized_fix)	{
+		if ($this->imagecopyresized_fix) {
-			$im_base = imagecreatetruecolor(imagesx($im), imagesy($im));	// Make true color image
+			$im_base = imagecreatetruecolor(imagesx($im), imagesy($im)); // Make true color image
-			imagecopyresized($im_base, $im, 0,0,0,0, imagesx($im),imagesy($im),imagesx($im),imagesy($im));	// Copy the source image onto that
+			imagecopyresized($im_base, $im, 0, 0, 0, 0, imagesx($im), imagesy($im), imagesx($im), imagesy($im)); // Copy the source image onto that
-			imagecopyresized($im_base, $cpImg, $Xstart, $Ystart, $cpImgCutX, $cpImgCutY, $w, $h, $w, $h);	// Then copy the $cpImg onto that (the actual operation!)
+			imagecopyresized($im_base, $cpImg, $Xstart, $Ystart, $cpImgCutX, $cpImgCutY, $w, $h, $w, $h); // Then copy the $cpImg onto that (the actual operation!)
-			$im = $im_base;	// Set pointer
+			$im = $im_base; // Set pointer
-			if (!$this->truecolor)	{
+			if (!$this->truecolor) {
-				$this->makeEffect($im, Array('value'=>'colors='.t3lib_div::intInRange($this->setup['reduceColors'], 256, $this->truecolorColors, 256)));		// Reduce to "reduceColors" colors - make SURE that IM is working then!
+				$this->makeEffect($im, array('value' => 'colors=' . t3lib_div::intInRange($this->setup['reduceColors'], 256, $this->truecolorColors, 256))); // Reduce to "reduceColors" colors - make SURE that IM is working then!
 			}
 		} else {
 			imagecopyresized($im, $cpImg, $Xstart, $Ystart, $cpImgCutX, $cpImgCutY, $w, $h, $w, $h);
@@ -553,26 +526,6 @@
 	}
 
 
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
 	/********************************
 	 *
 	 * Text / "TEXT" GIFBUILDER object
@@ -588,58 +541,58 @@
 	 * @return	void
 	 * @see tslib_gifBuilder::make()
 	 */
-	function makeText(&$im,$conf,$workArea)	{
+	function makeText(&$im, $conf, $workArea) {
 			// Spacing
-		list($spacing,$wordSpacing) = $this->calcWordSpacing($conf);
+		list($spacing, $wordSpacing) = $this->calcWordSpacing($conf);
 			// Position
-		$txtPos = $this->txtPosition($conf,$workArea,$conf['BBOX']);
+		$txtPos = $this->txtPosition($conf, $workArea, $conf['BBOX']);
 		$theText = $this->recodeString($conf['text']);
 
-		if ($conf['imgMap'] && is_array($conf['imgMap.']))	{
+		if ($conf['imgMap'] && is_array($conf['imgMap.'])) {
-			$this->addToMap($this->calcTextCordsForMap($conf['BBOX'][2],$txtPos, $conf['imgMap.']), $conf['imgMap.']);
+			$this->addToMap($this->calcTextCordsForMap($conf['BBOX'][2], $txtPos, $conf['imgMap.']), $conf['imgMap.']);
 		}
-		if (!$conf['hideButCreateMap'])	{
+		if (!$conf['hideButCreateMap']) {
 				// Font Color:
-			$cols=$this->convertColor($conf['fontColor']);
+			$cols = $this->convertColor($conf['fontColor']);
 				// NiceText is calculated
 			if (!$conf['niceText']) {
 					// Font Color is reserved:
-				if (!$this->truecolor)	{
+				if (!$this->truecolor) {
 					$reduce = t3lib_div::intInRange($this->setup['reduceColors'], 256, $this->truecolorColors, 256);
-					$this->reduceColors($im, $reduce-49, $reduce-50);	// If "reduce-49" colors (or more) are used reduce them to "reduce-50"
+					$this->reduceColors($im, $reduce - 49, $reduce - 50); // If "reduce-49" colors (or more) are used reduce them to "reduce-50"
 				}
-				$Fcolor = ImageColorAllocate($im, $cols[0],$cols[1],$cols[2]);
+				$Fcolor = ImageColorAllocate($im, $cols[0], $cols[1], $cols[2]);
 					// antiAliasing is setup:
 				$Fcolor = ($conf['antiAlias']) ? $Fcolor : -$Fcolor;
 
-				for ($a=0; $a<$conf['iterations']; $a++)	{
+				for ($a = 0; $a < $conf['iterations']; $a++) {
-					if ($spacing || $wordSpacing)	{		// If any kind of spacing applys, we use this function:
+					if ($spacing || $wordSpacing) { // If any kind of spacing applys, we use this function:
 						$this->SpacedImageTTFText($im, $conf['fontSize'], $conf['angle'], $txtPos[0], $txtPos[1], $Fcolor, t3lib_stdGraphic::prependAbsolutePath($conf['fontFile']), $theText, $spacing, $wordSpacing, $conf['splitRendering.']);
 					} else {
 						$this->renderTTFText($im, $conf['fontSize'], $conf['angle'], $txtPos[0], $txtPos[1], $Fcolor, $conf['fontFile'], $theText, $conf['splitRendering.'], $conf);
 					}
 				}
-			} else {		// NICETEXT::
+			} else { // NICETEXT::
 					// options anti_aliased and iterations is NOT available when doing this!!
 				$w = imagesx($im);
 				$h = imagesy($im);
 				$tmpStr = $this->randomName();
 
-				$fileMenu = $tmpStr.'_menuNT.'.$this->gifExtension;
+				$fileMenu = $tmpStr . '_menuNT.' . $this->gifExtension;
-				$fileColor = $tmpStr.'_colorNT.'.$this->gifExtension;
+				$fileColor = $tmpStr . '_colorNT.' . $this->gifExtension;
-				$fileMask = $tmpStr.'_maskNT.'.$this->gifExtension;
+				$fileMask = $tmpStr . '_maskNT.' . $this->gifExtension;
 					// Scalefactor
-				$sF = t3lib_div::intInRange($conf['niceText.']['scaleFactor'],2,5);
+				$sF = t3lib_div::intInRange($conf['niceText.']['scaleFactor'], 2, 5);
-				$newW = ceil($sF*imagesx($im));
+				$newW = ceil($sF * imagesx($im));
-				$newH = ceil($sF*imagesy($im));
+				$newH = ceil($sF * imagesy($im));
 
 					// Make mask
 				$maskImg = imagecreatetruecolor($newW, $newH);
-				$Bcolor = ImageColorAllocate($maskImg, 255,255,255);
+				$Bcolor = ImageColorAllocate($maskImg, 255, 255, 255);
 				ImageFilledRectangle($maskImg, 0, 0, $newW, $newH, $Bcolor);
-				$Fcolor = ImageColorAllocate($maskImg, 0,0,0);
+				$Fcolor = ImageColorAllocate($maskImg, 0, 0, 0);
-				if ($spacing || $wordSpacing)	{		// If any kind of spacing applys, we use this function:
+				if ($spacing || $wordSpacing) { // If any kind of spacing applys, we use this function:
-					$this->SpacedImageTTFText($maskImg, $conf['fontSize'], $conf['angle'], $txtPos[0], $txtPos[1], $Fcolor, t3lib_stdGraphic::prependAbsolutePath($conf['fontFile']), $theText, $spacing, $wordSpacing, $conf['splitRendering.'],$sF);
+					$this->SpacedImageTTFText($maskImg, $conf['fontSize'], $conf['angle'], $txtPos[0], $txtPos[1], $Fcolor, t3lib_stdGraphic::prependAbsolutePath($conf['fontFile']), $theText, $spacing, $wordSpacing, $conf['splitRendering.'], $sF);
 				} else {
 					$this->renderTTFText($maskImg, $conf['fontSize'], $conf['angle'], $txtPos[0], $txtPos[1], $Fcolor, $conf['fontFile'], $theText, $conf['splitRendering.'], $conf, $sF);
 				}
@@ -647,49 +600,49 @@
 				ImageDestroy($maskImg);
 
 					// Downscales the mask
-				if ($this->NO_IM_EFFECTS)	{
+				if ($this->NO_IM_EFFECTS) {
-					if ($this->maskNegate)	{
+					if ($this->maskNegate) {
-						$command = trim($this->scalecmd.' '.$w.'x'.$h.'!');		// Negate 2 times makes no negate...
+						$command = trim($this->scalecmd . ' ' . $w . 'x' . $h . '!'); // Negate 2 times makes no negate...
 					} else {
-						$command = trim($this->scalecmd.' '.$w.'x'.$h.'! -negate');
+						$command = trim($this->scalecmd . ' ' . $w . 'x' . $h . '! -negate');
 					}
 				} else {
-					if ($this->maskNegate)	{
+					if ($this->maskNegate) {
-						$command = trim($conf['niceText.']['before'].' '.$this->scalecmd.' '.$w.'x'.$h.'! '.$conf['niceText.']['after']);
+						$command = trim($conf['niceText.']['before'] . ' ' . $this->scalecmd . ' ' . $w . 'x' . $h . '! ' . $conf['niceText.']['after']);
 					} else {
-						$command = trim($conf['niceText.']['before'].' '.$this->scalecmd.' '.$w.'x'.$h.'! '.$conf['niceText.']['after'].' -negate');
+						$command = trim($conf['niceText.']['before'] . ' ' . $this->scalecmd . ' ' . $w . 'x' . $h . '! ' . $conf['niceText.']['after'] . ' -negate');
 					}
 					if ($conf['niceText.']['sharpen']) {
-						if ($this->V5_EFFECTS)	{
+						if ($this->V5_EFFECTS) {
-							$command.=$this->v5_sharpen($conf['niceText.']['sharpen']);
+							$command .= $this->v5_sharpen($conf['niceText.']['sharpen']);
 						} else {
-							$command.=' -sharpen '.t3lib_div::intInRange($conf['niceText.']['sharpen'],1,99);
+							$command .= ' -sharpen ' . t3lib_div::intInRange($conf['niceText.']['sharpen'], 1, 99);
 						}
 					}
 				}
 
-				$this->imageMagickExec($fileMask,$fileMask,$command);
+				$this->imageMagickExec($fileMask, $fileMask, $command);
 
 					// Make the color-file
 				$colorImg = imagecreatetruecolor($w, $h);
-				$Ccolor = ImageColorAllocate($colorImg, $cols[0],$cols[1],$cols[2]);
+				$Ccolor = ImageColorAllocate($colorImg, $cols[0], $cols[1], $cols[2]);
 				ImageFilledRectangle($colorImg, 0, 0, $w, $h, $Ccolor);
 				$this->ImageWrite($colorImg, $fileColor);
 				ImageDestroy($colorImg);
 
 					// The mask is applied
-				$this->ImageWrite($im, $fileMenu);	// The main pictures is saved temporarily
+				$this->ImageWrite($im, $fileMenu); // The main pictures is saved temporarily
 
-				$this->combineExec($fileMenu,$fileColor,$fileMask, $fileMenu);
+				$this->combineExec($fileMenu, $fileColor, $fileMask, $fileMenu);
 
-				$backIm = $this->imageCreateFromFile($fileMenu);	// The main image is loaded again...
+				$backIm = $this->imageCreateFromFile($fileMenu); // The main image is loaded again...
-				if ($backIm)	{	// ... and if nothing went wrong we load it onto the old one.
+				if ($backIm) { // ... and if nothing went wrong we load it onto the old one.
-					ImageColorTransparent($backIm,-1);
+					ImageColorTransparent($backIm, -1);
 					$im = $backIm;
 				}
 
 					// Deleting temporary files;
-				if (!$this->dontUnlinkTempFiles)	{
+				if (!$this->dontUnlinkTempFiles) {
 					unlink($fileMenu);
 					unlink($fileColor);
 					unlink($fileMask);
@@ -708,49 +661,49 @@
 	 * @access private
 	 * @see makeText()
 	 */
-	function txtPosition($conf,$workArea,$BB) {
+	function txtPosition($conf, $workArea, $BB) {
 		$bbox = $BB[2];
-		$angle=intval($conf['angle'])/180*pi();
+		$angle = intval($conf['angle']) / 180 * pi();
-		$conf['angle']=0;
+		$conf['angle'] = 0;
 		$straightBB = $this->calcBBox($conf);
 
 			// offset, align, valign, workarea
-		$result=Array();	// [0]=x, [1]=y, [2]=w, [3]=h
+		$result = array(); // [0]=x, [1]=y, [2]=w, [3]=h
 		$result[2] = $BB[0];
 		$result[3] = $BB[1];
-		$w=$workArea[2];
+		$w = $workArea[2];
-		$h=$workArea[3];
+		$h = $workArea[3];
 
-		switch($conf['align'])	{
+		switch ($conf['align']) {
 			case 'right':
 			case 'center':
-				$factor=abs(cos($angle));
+				$factor = abs(cos($angle));
-				$sign=(cos($angle)<0)?-1:1;
+				$sign = (cos($angle) < 0) ? -1 : 1;
-				$len1 = $sign*$factor*$straightBB[0];
+				$len1 = $sign * $factor * $straightBB[0];
-				$len2= $sign*$BB[0];
+				$len2 = $sign * $BB[0];
-				$result[0] = $w-ceil($len2*$factor+(1-$factor)*$len1);
+				$result[0] = $w - ceil($len2 * $factor + (1 - $factor) * $len1);
 
-				$factor=abs(sin($angle));
+				$factor = abs(sin($angle));
-				$sign=(sin($angle)<0)?-1:1;
+				$sign = (sin($angle) < 0) ? -1 : 1;
-				$len1= $sign*$factor*$straightBB[0];
+				$len1 = $sign * $factor * $straightBB[0];
-				$len2= $sign*$BB[1];
+				$len2 = $sign * $BB[1];
-				$result[1]=ceil($len2*$factor+(1-$factor)*$len1);
+				$result[1] = ceil($len2 * $factor + (1 - $factor) * $len1);
 			break;
 		}
-		switch($conf['align'])	{
+		switch ($conf['align']) {
 			case 'right':
 			break;
 			case 'center':
-				$result[0] = round(($result[0])/2);
+				$result[0] = round(($result[0]) / 2);
-				$result[1] = round(($result[1])/2);
+				$result[1] = round(($result[1]) / 2);
 			break;
 			default:
-				$result[0]=0;
+				$result[0] = 0;
-				$result[1]=0;
+				$result[1] = 0;
 			break;
 		}
-		$result = $this->applyOffset($result,t3lib_div::intExplode(',',$conf['offset']));
+		$result = $this->applyOffset($result, t3lib_div::intExplode(',', $conf['offset']));
-		$result = $this->applyOffset($result,$workArea);
+		$result = $this->applyOffset($result, $workArea);
 		return $result;
 	}
 
@@ -762,42 +715,42 @@
 	 * @access private
 	 * @see txtPosition(), tslib_gifBuilder::start()
 	 */
-	function calcBBox($conf)	{
+	function calcBBox($conf) {
 		$sF = $this->getTextScalFactor($conf);
-		list($spacing,$wordSpacing) = $this->calcWordSpacing($conf, $sF);
+		list($spacing, $wordSpacing) = $this->calcWordSpacing($conf, $sF);
 		$theText = $this->recodeString($conf['text']);
 
-		$charInf = $this->ImageTTFBBoxWrapper($conf['fontSize'], $conf['angle'], $conf['fontFile'], $theText, $conf['splitRendering.'],$sF);
+		$charInf = $this->ImageTTFBBoxWrapper($conf['fontSize'], $conf['angle'], $conf['fontFile'], $theText, $conf['splitRendering.'], $sF);
 		$theBBoxInfo = $charInf;
-		if ($conf['angle'])	{
+		if ($conf['angle']) {
-			$xArr = Array($charInf[0],$charInf[2],$charInf[4],$charInf[6]);
-			$yArr = Array($charInf[1],$charInf[3],$charInf[5],$charInf[7]);
+			$xArr = array($charInf[0], $charInf[2], $charInf[4], $charInf[6]);
+			$yArr = array($charInf[1], $charInf[3], $charInf[5], $charInf[7]);
-			$x=max($xArr)-min($xArr);
+			$x = max($xArr) - min($xArr);
-			$y=max($yArr)-min($yArr);
+			$y = max($yArr) - min($yArr);
 		} else {
-			$x = ($charInf[2]-$charInf[0]);
+			$x = ($charInf[2] - $charInf[0]);
-			$y = ($charInf[1]-$charInf[7]);
+			$y = ($charInf[1] - $charInf[7]);
 		}
 			// Set original lineHeight (used by line breaks):
 		$theBBoxInfo['lineHeight'] = $y;
 
-		if ($spacing || $wordSpacing)	{		// If any kind of spacing applys, we use this function:
+		if ($spacing || $wordSpacing) { // If any kind of spacing applys, we use this function:
-			$x=0;
+			$x = 0;
-			if (!$spacing && $wordSpacing)	{
+			if (!$spacing && $wordSpacing) {
-				$bits = explode(' ',$theText);
+				$bits = explode(' ', $theText);
 				foreach ($bits as $word) {
-					$word.=' ';
+					$word .= ' ';
-					$wordInf = $this->ImageTTFBBoxWrapper($conf['fontSize'], $conf['angle'], $conf['fontFile'], $word, $conf['splitRendering.'],$sF);
+					$wordInf = $this->ImageTTFBBoxWrapper($conf['fontSize'], $conf['angle'], $conf['fontFile'], $word, $conf['splitRendering.'], $sF);
-					$wordW = ($wordInf[2]-$wordInf[0]);
+					$wordW = ($wordInf[2] - $wordInf[0]);
-					$x+=$wordW+$wordSpacing;
+					$x += $wordW + $wordSpacing;
 				}
 			} else {
 				$utf8Chars = $this->singleChars($theText);
 					// For each UTF-8 char, do:
-				foreach($utf8Chars as $char)	{
+				foreach ($utf8Chars as $char) {
-					$charInf = $this->ImageTTFBBoxWrapper($conf['fontSize'], $conf['angle'], $conf['fontFile'], $char, $conf['splitRendering.'],$sF);
+					$charInf = $this->ImageTTFBBoxWrapper($conf['fontSize'], $conf['angle'], $conf['fontFile'], $char, $conf['splitRendering.'], $sF);
-					$charW = ($charInf[2]-$charInf[0]);
+					$charW = ($charInf[2] - $charInf[0]);
-					$x+=$charW+(($char==' ')?$wordSpacing:$spacing);
+					$x += $charW + (($char == ' ') ? $wordSpacing : $spacing);
 				}
 			}
 		} elseif (isset($conf['breakWidth']) && $conf['breakWidth'] && $this->getRenderedTextWidth($conf['text'], $conf) > $conf['breakWidth']) {
@@ -811,10 +764,10 @@
 			foreach ($wordPairs as $index => $wordPair) {
 				$wordWidth = $this->getRenderedTextWidth($wordPair, $conf);
 				if ($index == 0 || $currentWidth + $wordWidth <= $breakWidth) {
-					$currentWidth+= $wordWidth;
+					$currentWidth += $wordWidth;
 				} else {
 					$maxWidth = max($maxWidth, $currentWidth);
-					$y+= $breakSpace;
+					$y += $breakSpace;
 						// Restart:
 					$currentWidth = $wordWidth;
 				}
@@ -825,7 +778,7 @@
 		if ($sF > 1) {
 			$x = ceil($x / $sF);
 			$y = ceil($y / $sF);
-			if (is_array($theBBoxInfo))	{
+			if (is_array($theBBoxInfo)) {
 				foreach ($theBBoxInfo as &$value) {
 					$value = ceil($value / $sF);
 				}
@@ -843,17 +796,17 @@
 	 * @access private
 	 * @see makeText(), calcTextCordsForMap()
 	 */
-	function addToMap($cords,$conf)	{
+	function addToMap($cords, $conf) {
 		$JS = $conf['noBlur'] ? '' : ' onfocus="blurLink(this);"';
 
-		$this->map.='<area'.
+		$this->map .= '<area' .
-				' shape="poly"'.
+					  ' shape="poly"' .
-				' coords="'.implode(',',$cords).'"'.
+					  ' coords="' . implode(',', $cords) . '"' .
-				' href="'.htmlspecialchars($conf['url']).'"'.
+					  ' href="' . htmlspecialchars($conf['url']) . '"' .
-				($conf['target'] ? ' target="'.htmlspecialchars($conf['target']).'"' : '').
+					  ($conf['target'] ? ' target="' . htmlspecialchars($conf['target']) . '"' : '') .
-				$JS.
+					  $JS .
-				(strlen($conf['titleText']) ? ' title="'.htmlspecialchars($conf['titleText']).'"' : '').
+					  (strlen($conf['titleText']) ? ' title="' . htmlspecialchars($conf['titleText']) . '"' : '') .
-				' alt="'.htmlspecialchars($conf['altText']).'" />';
+					  ' alt="' . htmlspecialchars($conf['altText']) . '" />';
 	}
 
 	/**
@@ -866,17 +819,17 @@
 	 * @access private
 	 * @see makeText(), calcTextCordsForMap()
 	 */
-	function calcTextCordsForMap($cords,$offset, $conf)	{
+	function calcTextCordsForMap($cords, $offset, $conf) {
-		$pars = t3lib_div::intExplode(',',$conf['explode'].',');
+		$pars = t3lib_div::intExplode(',', $conf['explode'] . ',');
 
-		$newCords[0] = $cords[0]+$offset[0]-$pars[0];
+		$newCords[0] = $cords[0] + $offset[0] - $pars[0];
-		$newCords[1] = $cords[1]+$offset[1]+$pars[1];
+		$newCords[1] = $cords[1] + $offset[1] + $pars[1];
-		$newCords[2] = $cords[2]+$offset[0]+$pars[0];
+		$newCords[2] = $cords[2] + $offset[0] + $pars[0];
-		$newCords[3] = $cords[3]+$offset[1]+$pars[1];
+		$newCords[3] = $cords[3] + $offset[1] + $pars[1];
-		$newCords[4] = $cords[4]+$offset[0]+$pars[0];
+		$newCords[4] = $cords[4] + $offset[0] + $pars[0];
-		$newCords[5] = $cords[5]+$offset[1]-$pars[1];
+		$newCords[5] = $cords[5] + $offset[1] - $pars[1];
-		$newCords[6] = $cords[6]+$offset[0]-$pars[0];
+		$newCords[6] = $cords[6] + $offset[0] - $pars[0];
-		$newCords[7] = $cords[7]+$offset[1]-$pars[1];
+		$newCords[7] = $cords[7] + $offset[1] - $pars[1];
 
 		return $newCords;
 	}
@@ -901,28 +854,28 @@
 	 * @return	void
 	 * @access private
 	 */
-	function SpacedImageTTFText(&$im, $fontSize, $angle, $x, $y, $Fcolor, $fontFile, $text, $spacing, $wordSpacing, $splitRenderingConf, $sF=1)	{
+	function SpacedImageTTFText(&$im, $fontSize, $angle, $x, $y, $Fcolor, $fontFile, $text, $spacing, $wordSpacing, $splitRenderingConf, $sF = 1) {
 
-		$spacing*=$sF;
+		$spacing *= $sF;
-		$wordSpacing*=$sF;
+		$wordSpacing *= $sF;
 
-		if (!$spacing && $wordSpacing)	{
+		if (!$spacing && $wordSpacing) {
-			$bits = explode(' ',$text);
+			$bits = explode(' ', $text);
 			foreach ($bits as $word) {
-				$word.=' ';
+				$word .= ' ';
-				$wordInf = $this->ImageTTFBBoxWrapper($fontSize, $angle, $fontFile, $word, $splitRenderingConf ,$sF);
+				$wordInf = $this->ImageTTFBBoxWrapper($fontSize, $angle, $fontFile, $word, $splitRenderingConf, $sF);
-				$wordW = ($wordInf[2]-$wordInf[0]);
+				$wordW = ($wordInf[2] - $wordInf[0]);
 				$this->ImageTTFTextWrapper($im, $fontSize, $angle, $x, $y, $Fcolor, $fontFile, $word, $splitRenderingConf, $sF);
-				$x+=$wordW+$wordSpacing;
+				$x += $wordW + $wordSpacing;
 			}
 		} else {
 			$utf8Chars = $this->singleChars($text);
 				// For each UTF-8 char, do:
-			foreach($utf8Chars as $char)	{
+			foreach ($utf8Chars as $char) {
 				$charInf = $this->ImageTTFBBoxWrapper($fontSize, $angle, $fontFile, $char, $splitRenderingConf, $sF);
-				$charW = ($charInf[2]-$charInf[0]);
+				$charW = ($charInf[2] - $charInf[0]);
 				$this->ImageTTFTextWrapper($im, $fontSize, $angle, $x, $y, $Fcolor, $fontFile, $char, $splitRenderingConf, $sF);
-				$x+=$charW+(($char==' ')?$wordSpacing:$spacing);
+				$x += $charW + (($char == ' ') ? $wordSpacing : $spacing);
 			}
 		}
 	}
@@ -937,34 +890,35 @@
 	 * @see tslib_gifBuilder::start()
 	 */
 	function fontResize($conf) {
-		// you have to use +calc options like [10.h] in 'offset' to get the right position of your text-image, if you use +calc in XY height!!!!
+			// you have to use +calc options like [10.h] in 'offset' to get the right position of your text-image, if you use +calc in XY height!!!!
 		$maxWidth = intval($conf['maxWidth']);
-		list($spacing,$wordSpacing) = $this->calcWordSpacing($conf);
+		list($spacing, $wordSpacing) = $this->calcWordSpacing($conf);
-		if ($maxWidth)	{
+		if ($maxWidth) {
-			if ($spacing || $wordSpacing)	{		// If any kind of spacing applys, we use this function:
+			if ($spacing || $wordSpacing) { // If any kind of spacing applys, we use this function:
 				return $conf['fontSize'];
-				//  ################ no calc for spacing yet !!!!!!
+					//  ################ no calc for spacing yet !!!!!!
 			} else {
 				do {
 						// determine bounding box.
 					$bounds = $this->ImageTTFBBoxWrapper($conf['fontSize'], $conf['angle'], $conf['fontFile'], $this->recodeString($conf['text']), $conf['splitRendering.']);
-					if ($conf['angle']< 0) {
+					if ($conf['angle'] < 0) {
-						$pixelWidth = abs($bounds[4]-$bounds[0]);
+						$pixelWidth = abs($bounds[4] - $bounds[0]);
 					} elseif ($conf['angle'] > 0) {
-						$pixelWidth = abs($bounds[2]-$bounds[6]);
+						$pixelWidth = abs($bounds[2] - $bounds[6]);
 					} else {
-						$pixelWidth = abs($bounds[4]-$bounds[6]);
+						$pixelWidth = abs($bounds[4] - $bounds[6]);
 					}
 
 						// Size is fine, exit:
-					if ($pixelWidth <= $maxWidth)	{
+					if ($pixelWidth <= $maxWidth) {
 						break;
 					} else {
 						$conf['fontSize']--;
 					}
-				} while ($conf['fontSize']>1);
+				} while ($conf['fontSize'] > 1);
-			}//if spacing
-		}
+			}
+			//if spacing
+		}
 		return $conf['fontSize'];
 	}
 
@@ -979,32 +933,32 @@
 	 * @param	integer		Scale factor
 	 * @return	array		Information array.
 	 */
-	function ImageTTFBBoxWrapper($fontSize, $angle, $fontFile, $string, $splitRendering, $sF=1)	{
+	function ImageTTFBBoxWrapper($fontSize, $angle, $fontFile, $string, $splitRendering, $sF = 1) {
 
 			// Initialize:
 		$offsetInfo = array();
-		$stringParts = $this->splitString($string,$splitRendering,$fontSize,$fontFile);
+		$stringParts = $this->splitString($string, $splitRendering, $fontSize, $fontFile);
 
 			// Traverse string parts:
-		foreach($stringParts as $strCfg)	{
+		foreach ($stringParts as $strCfg) {
 			$fontFile = t3lib_stdGraphic::prependAbsolutePath($strCfg['fontFile']);
 			if (is_readable($fontFile)) {
 
 					// Calculate Bounding Box for part:
-				$calc = ImageTTFBBox(t3lib_div::freetypeDpiComp($sF*$strCfg['fontSize']), $angle, $fontFile, $strCfg['str']);
+				$calc = ImageTTFBBox(t3lib_div::freetypeDpiComp($sF * $strCfg['fontSize']), $angle, $fontFile, $strCfg['str']);
 
 					// Calculate offsets:
-				if (!count($offsetInfo))	{
+				if (!count($offsetInfo)) {
-					$offsetInfo = $calc;	// First run, just copy over.
+					$offsetInfo = $calc; // First run, just copy over.
 				} else {
-					$offsetInfo[2]+=$calc[2]-$calc[0]+intval($splitRendering['compX'])+intval($strCfg['xSpaceBefore'])+intval($strCfg['xSpaceAfter']);
+					$offsetInfo[2] += $calc[2] - $calc[0] + intval($splitRendering['compX']) + intval($strCfg['xSpaceBefore']) + intval($strCfg['xSpaceAfter']);
-					$offsetInfo[3]+=$calc[3]-$calc[1]-intval($splitRendering['compY'])-intval($strCfg['ySpaceBefore'])-intval($strCfg['ySpaceAfter']);
+					$offsetInfo[3] += $calc[3] - $calc[1] - intval($splitRendering['compY']) - intval($strCfg['ySpaceBefore']) - intval($strCfg['ySpaceAfter']);
-					$offsetInfo[4]+=$calc[4]-$calc[6]+intval($splitRendering['compX'])+intval($strCfg['xSpaceBefore'])+intval($strCfg['xSpaceAfter']);
+					$offsetInfo[4] += $calc[4] - $calc[6] + intval($splitRendering['compX']) + intval($strCfg['xSpaceBefore']) + intval($strCfg['xSpaceAfter']);
-					$offsetInfo[5]+=$calc[5]-$calc[7]-intval($splitRendering['compY'])-intval($strCfg['ySpaceBefore'])-intval($strCfg['ySpaceAfter']);
+					$offsetInfo[5] += $calc[5] - $calc[7] - intval($splitRendering['compY']) - intval($strCfg['ySpaceBefore']) - intval($strCfg['ySpaceAfter']);
 				}
 
 			} else {
-				debug('cannot read file: '.$fontFile, 't3lib_stdGraphic::ImageTTFBBoxWrapper()');
+				debug('cannot read file: ' . $fontFile, 't3lib_stdGraphic::ImageTTFBBoxWrapper()');
 			}
 		}
 
@@ -1026,45 +980,45 @@
 	 * @param	integer		Scale factor
 	 * @return	void
 	 */
-	function ImageTTFTextWrapper($im, $fontSize, $angle, $x, $y, $color, $fontFile, $string, $splitRendering,$sF=1)	{
+	function ImageTTFTextWrapper($im, $fontSize, $angle, $x, $y, $color, $fontFile, $string, $splitRendering, $sF = 1) {
 
 			// Initialize:
-		$stringParts = $this->splitString($string,$splitRendering,$fontSize,$fontFile);
+		$stringParts = $this->splitString($string, $splitRendering, $fontSize, $fontFile);
-		$x = ceil($sF*$x);
+		$x = ceil($sF * $x);
-		$y = ceil($sF*$y);
+		$y = ceil($sF * $y);
 
 			// Traverse string parts:
-		foreach($stringParts as $i => $strCfg)	{
+		foreach ($stringParts as $i => $strCfg) {
 
 				// Initialize:
 			$colorIndex = $color;
 
 				// Set custom color if any (only when niceText is off):
-			if ($strCfg['color'] && $sF==1)	{
+			if ($strCfg['color'] && $sF == 1) {
 				$cols = $this->convertColor($strCfg['color']);
-				$colorIndex = ImageColorAllocate($im, $cols[0],$cols[1],$cols[2]);
+				$colorIndex = ImageColorAllocate($im, $cols[0], $cols[1], $cols[2]);
 				$colorIndex = $color >= 0 ? $colorIndex : -$colorIndex;
 			}
 
 				// Setting xSpaceBefore
-			if ($i)	{
+			if ($i) {
-				$x+= intval($strCfg['xSpaceBefore']);
+				$x += intval($strCfg['xSpaceBefore']);
-				$y-= intval($strCfg['ySpaceBefore']);
+				$y -= intval($strCfg['ySpaceBefore']);
 			}
 
 			$fontFile = t3lib_stdGraphic::prependAbsolutePath($strCfg['fontFile']);
 			if (is_readable($fontFile)) {
 
 					// Render part:
-				ImageTTFText($im, t3lib_div::freetypeDpiComp($sF*$strCfg['fontSize']), $angle, $x, $y, $colorIndex, $fontFile, $strCfg['str']);
+				ImageTTFText($im, t3lib_div::freetypeDpiComp($sF * $strCfg['fontSize']), $angle, $x, $y, $colorIndex, $fontFile, $strCfg['str']);
 
 					// Calculate offset to apply:
-				$wordInf = ImageTTFBBox(t3lib_div::freetypeDpiComp($sF*$strCfg['fontSize']), $angle, t3lib_stdGraphic::prependAbsolutePath($strCfg['fontFile']), $strCfg['str']);
+				$wordInf = ImageTTFBBox(t3lib_div::freetypeDpiComp($sF * $strCfg['fontSize']), $angle, t3lib_stdGraphic::prependAbsolutePath($strCfg['fontFile']), $strCfg['str']);
-				$x+= $wordInf[2]-$wordInf[0]+intval($splitRendering['compX'])+intval($strCfg['xSpaceAfter']);
+				$x += $wordInf[2] - $wordInf[0] + intval($splitRendering['compX']) + intval($strCfg['xSpaceAfter']);
-				$y+= $wordInf[5]-$wordInf[7]-intval($splitRendering['compY'])-intval($strCfg['ySpaceAfter']);
+				$y += $wordInf[5] - $wordInf[7] - intval($splitRendering['compY']) - intval($strCfg['ySpaceAfter']);
 
 			} else {
-				debug('cannot read file: '.$fontFile, 't3lib_stdGraphic::ImageTTFTextWrapper()');
+				debug('cannot read file: ' . $fontFile, 't3lib_stdGraphic::ImageTTFTextWrapper()');
 			}
 
 		}
@@ -1079,7 +1033,7 @@
 	 * @param	string		Current font file
 	 * @return	array		Array with input string splitted according to configuration
 	 */
-	function splitString($string,$splitRendering,$fontSize,$fontFile)	{
+	function splitString($string, $splitRendering, $fontSize, $fontFile) {
 
 			// Initialize by setting the whole string and default configuration as the first entry.
 		$result = array();
